Subject: Re: [PATCH net-next v5 1/2] ptp: introduce Alibaba CIPU PHC driver

From: Jakub Kicinski <[email-masked]>
Date: Thu, 27 Nov 2025 08:36:10 -0800

On Thu, 27 Nov 2025 13:48:47 +0800 Wen Gu wrote:
> > We can't delete existing drivers. It used to be far less annoying
> > until every cloud vendor under the sun decided to hack up their own
> > implementation of something as simple as the clock.
> 
> So what kind of drivers do you think are qualified to be placed in the
> drivers/ptp? I checked some docs, e.g.[1], and codes in drivers/ptp,
> but I am not sure what the deciding factor is, assuming that exposing
> a PTP character device is not sufficient.
> 
> [1] https://docs.kernel.org/driver-api/ptp.html

Networking ones? I don't have a great answer. My point is basically
that we are networking maintainers. I have a good understanding of PTP
(the actual protocol) and TSN as these are networking technologies.
But I don't feel qualified to review purely time / clock related code.
I don't even know the UNIX/Linux clock API very well.

Sorry to put you in this position but the VM clocks should have some
other tree. Or at the very least some clock expert needs to review them.

Could you go complain to clock people? Or virtualization people?